import 'package:flutter/material.dart';

class BaseColor {
  static const Color backgroundColor = Colors.green;

  static const Color second25 = Color(0xFFFCFCFD);
  static const Color second50 = Color(0xFFF9FAFB);
  static const Color second100 = Color(0xFFF3F4F6);
  static const Color second150 = Color(0xFFEBEDEF);
  static const Color second200 = Color(0xFFE5E7EB);
  static const Color second300 = Color(0xFFD2D6DB);
  static const Color second400 = Color(0xFF9DA4AE);
  static const Color second500 = Color(0xFF6C737F);
  static const Color second600 = Color(0xFF4D5761);
  static const Color second700 = Color(0xFF384250);
  static const Color second800 = Color(0xFF1F2A37);
  static const Color second900 = Color(0xFF111927);

  static const Color primary50 = Color(0xFFFDE8EA);
  static const Color primary100 = Color(0xFFFAD2D4);
  static const Color primary150 = Color(0xFFF8BBBF);
  static const Color primary200 = Color(0xFFF5A5A9);
  static const Color primary300 = Color(0xFFF1777E);
  static const Color primary400 = Color(0xFFEC4A53);
  static const Color primary500 = Color(0xFFE71D28);
  static const Color primary600 = Color(0xFFB91720);
  static const Color primary00 = Color(0xFF8B1118);
  static const Color primary800 = Color(0xFF5C0C10);
  static const Color primary900 = Color(0xFF170304);

  static const Color error25 = Color(0xFFFFFBFA);
  static const Color error50 = Color(0xFFFEF3F2);
  static const Color error100 = Color(0xFFFEE4E2);
  static const Color error200 = Color(0xFFFECDCA);
  static const Color error300 = Color(0xFFFDA29B);
  static const Color error400 = Color(0xFFF97066);
  static const Color error500 = Color(0xFFF04438);
  static const Color error600 = Color(0xFFD92D20);
  static const Color error700 = Color(0xFFB42318);
  static const Color error800 = Color(0xFF912018);
  static const Color error900 = Color(0xFF7A271A);
  static const Color error950 = Color(0xFF55160C);

  static const Color warning25 = Color(0xFFFFFCF5);
  static const Color warning50 = Color(0xFFFFFAEB);
  static const Color warning100 = Color(0xFFFEF0C7);
  static const Color warning200 = Color(0xFFFEDF89);
  static const Color warning300 = Color(0xFFFEC84B);
  static const Color warning400 = Color(0xFFFDB022);
  static const Color warning500 = Color(0xFFF79009);
  static const Color warning600 = Color(0xFFDC6803);
  static const Color warning700 = Color(0xFFB54708);
  static const Color warning800 = Color(0xFF93370D);
  static const Color warning900 = Color(0xFF7A2E0E);
  static const Color warning950 = Color(0xFF4E1D09);

  static const Color success25 = Color(0xFFF6FEF9);
  static const Color success50 = Color(0xFFECFDF3);
  static const Color success100 = Color(0xFFDCFAE6);
  static const Color success200 = Color(0xFFABEFC6);
  static const Color success300 = Color(0xFF75E0A7);
  static const Color success400 = Color(0xFF47CD89);
  static const Color success500 = Color(0xFF17B26A);
  static const Color success600 = Color(0xFF079455);
  static const Color success700 = Color(0xFF067647);
  static const Color success800 = Color(0xFF085D3A);
  static const Color success900 = Color(0xFF074D31);
  static const Color success950 = Color(0xFF074D31);
}